import { ListIitem } from "@/api/base/BaseDataModel";
/**
 * 获取现在到去年的年-月
 * @returns 年-月列表
 */
export function getYearMonthList() {
    // 获取当前日期
    const today: Date = new Date();
    // 获取去年的同一个月份
    const lastYear: Date = new Date(today.getFullYear() - 1, today.getMonth());
    // 存储年-月的列表
    const yearMonthList: ListIitem[] = [];
    // 从当月开始逐个减少月份，直到去年12月为止
    for (let d = new Date(today); d >= lastYear; d.setMonth(d.getMonth() - 1)) {
        const yearMonth = `${d.getFullYear()}-${(d.getMonth() + 1).toString().padStart(2, '0')}`; // 格式化年-月
        yearMonthList.push({
            value: yearMonth,
            label: yearMonth,
        }); // 将格式化后的年-月添加到列表中
    }

    return yearMonthList;
}